# TdApi.SpeechRecognitionResultText (tdlight API 4.0.311 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: SpeechRecognitionResultText

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.SpeechRecognitionResultText

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.SpeechRecognitionResult
it.tdlight.jni.TdApi.SpeechRecognitionResultText

Enclosing class:
  TdApi

public static final class TdApi.SpeechRecognitionResultText extends TdApi.SpeechRecognitionResult
The speech recognition successfully finished.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`String`
`text`
Recognized text.

## Constructor Summary

Constructors
Constructor
Description
`SpeechRecognitionResultText()`
The speech recognition successfully finished.
`SpeechRecognitionResultText(DataInput input)`
The speech recognition successfully finished.
`SpeechRecognitionResultText(String text)`
The speech recognition successfully finished.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### text

public String text
Recognized text.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### SpeechRecognitionResultText

public SpeechRecognitionResultText()
The speech recognition successfully finished.

### SpeechRecognitionResultText

public SpeechRecognitionResultText(String text)
The speech recognition successfully finished.

Parameters:
  `text` - String Recognized text.

### SpeechRecognitionResultText

public SpeechRecognitionResultText(DataInput input) throws IOException
The speech recognition successfully finished.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`